You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Björn R. <br...@us...> - 2007-07-31 13:22:48
|
Update of /cvsroot/devil-linux/build/other In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv5131 Added Files: fblogo.pnm Log Message: get the devil-penguin boot-logo back --- NEW FILE: fblogo.pnm --- P3 80 80 255 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 6 2 2 6 2 2 6 2 2 6 2 2 6 2 2 6 2 2 6 2 2 6 2 2 6 2 2 6 2 2 6 2 2 6 [...1084 lines suppressed...] 254 254 254 250 250 246 254 254 254 254 254 250 254 254 250 254 254 254 254 254 254 2 2 6 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 6 2 2 2 2 2 2 2 2 2 2 2 2 2 2 6 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 6 2 2 2 2 2 6 2 2 2 2 2 2 2 2 6 2 2 2 2 2 6 2 2 2 2 2 2 2 2 2 2 2 6 2 2 6 2 2 2 2 2 2 2 2 6 2 2 2 2 2 2 2 2 2 2 2 6 2 2 2 2 2 2 2 2 6 2 2 6 2 2 2 2 2 2 2 2 6 2 2 2 2 2 2 2 2 2 2 2 6 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 6 2 2 2 2 2 6 2 2 6 2 2 2 2 2 6 2 2 2 2 2 2 2 2 6 2 2 2 2 2 2 2 2 2 2 2 6 2 2 6 2 2 6 2 2 2 2 2 6 2 2 2 2 2 6 2 2 2 2 2 6 2 2 2 2 2 6 2 2 2 2 2 6 2 2 2 2 2 6 2 2 2 2 2 6 2 2 2 2 2 6 |
|
From: Serge L. <sma...@us...> - 2007-07-31 12:23:58
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv15066 Modified Files: CHANGES md5sum.lst Log Message: -- added libradius and hybrid auth Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1117 retrieving revision 1.1118 diff -u -d -r1.1117 -r1.1118 --- CHANGES 31 Jul 2007 11:33:46 -0000 1.1117 +++ CHANGES 31 Jul 2007 12:23:52 -0000 1.1118 @@ -22,6 +22,7 @@ # 1.3.4 +- added libradius and enabled hybrid auth for ipsec-tools - downgraded syslinux to 3.36 - updated syslog-ng to 2.0.4 - upadted l7-filter to 2.12.1 (sl) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.360 retrieving revision 1.361 diff -u -d -r1.360 -r1.361 --- md5sum.lst 31 Jul 2007 11:33:46 -0000 1.360 +++ md5sum.lst 31 Jul 2007 12:23:52 -0000 1.361 @@ -305,6 +305,7 @@ 1e700ba0ea0670e398a7102ff6adb590 src/libpam-pgsql-0.6.1.tar.bz2 b0626ad59004fe5767ddd2ce743a2271 src/libpcap-0.9.5.tar.gz 25a7f2f101eaaf2eb18c4987e0fbe39d src/libpng-1.2.18.tar.bz2 +c7cc2f49acdd9955a052029326833fe1 src/libradius-linux-20040827.tar.gz 6b7b6e6df84d4afb469ccc66d04fc24d src/libsafe-2.0-16.tgz 3c37ef02a3aa248e30f4bf1613e3f597 src/libstdc++-compat.tar.bz2 8e0ac9797b62ba4dcc8a2fb7936412b0 src/libtool-1.5.22.tar.gz |
|
From: Serge L. <sma...@us...> - 2007-07-31 12:23:58
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv15066/scripts Modified Files: ipsec-tools Added Files: libradius-linux Log Message: -- added libradius and hybrid auth Index: ipsec-tools =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/ipsec-tools,v retrieving revision 1.8 retrieving revision 1.9 diff -u -d -r1.8 -r1.9 --- ipsec-tools 19 Apr 2007 15:39:21 -0000 1.8 +++ ipsec-tools 31 Jul 2007 12:23:53 -0000 1.9 @@ -10,7 +10,7 @@ ### BEGIN INIT INFO # Provides: ipsec-tools -# Required-Start: $basebuildtools $libs openssl linux +# Required-Start: $basebuildtools $libs libradius-linux openssl linux # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -31,9 +31,13 @@ case $1 in build ) + LIBRADIUSDIR=$(find_src_dir libradius-linux) + if [ "$CONFIG_KERBEROS5" = "y" ]; then + GSSAPI="--enable-gssapi==$(find /usr/ -name krb5-config)" + fi ./bootstrap - CC="gcc -D_FORTIFY_SOURCE=0" ./configure --prefix=/usr --sysconfdir=/etc/ipsec-tools --with-kernel-headers=/usr/include \ - --enable-frag --enable-stats --enable-dpd --enable-natt || exit 1 + CC="gcc -D_FORTIFY_SOURCE=0" ./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc/ipsec-tools --with-kernel-headers=/usr/include \ + --enable-frag --enable-stats --enable-dpd --enable-natt --with-libpam --with-libradius=$LIBRADIUSDIR $GSSAPI --enable-hybrid --enable-adminport || exit 1 make || exit 1 make install || exit 1 strip_debug @@ -49,7 +53,7 @@ mkdir -p $TMPDIR/etc/ipsec-tools mkdir -p $TMPDIR/etc/ipsec-tools/racoon mkdir -p $TMPDIR/usr/share/man/man{1,2,5,8} - make install DESTDIR=$TMPDIR + make install install-man DESTDIR=$TMPDIR setkeycfg=$TMPDIR/etc/ipsec-tools/setkey.cfg setkeyreset=$TMPDIR/etc/ipsec-tools/setkey.reset @@ -66,6 +70,8 @@ chmod +x $setkeyreset copy_files $TMPDIR/etc $ETCDIR copy_files $TMPDIR/usr/sbin $CDDIR/usr/ + copy_man $TMPDIR/usr/share/man/man5 + copy_man $TMPDIR/usr/share/man/man8 cp -p $MYDIR/scripts/ipsec-tools $ETCDIR/etc/init.d || exit 1 chmod +x $ETCDIR/etc/init.d/ipsec-tools rm -rf $TMPDIR 2>/dev/null --- NEW FILE: libradius-linux --- #!/bin/bash # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: libradius-linux # Required-Start: $basebuildtools $libs util-linux # Required-Stop: # Default-Start: 1 # Default-Stop: # Description: The lib was taken from NetBSD and it's required only for racoon ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) replace_str Makefile '-lmd' '-lmd5' make || exit 1 # We don't install it in local system, # because it can conflict with the newer libradius from ppp package rm -rf {include,lib} && mkdir {include,lib} || exit 1 cp ./*.h include/ || exit 1 cp ./libradius.a lib/ || exit 1 ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Serge L. <sma...@us...> - 2007-07-31 11:33:49
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv28807 Modified Files: CHANGES md5sum.lst Log Message: - update syslog-ng to 2.0.4 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1116 retrieving revision 1.1117 diff -u -d -r1.1116 -r1.1117 --- CHANGES 31 Jul 2007 11:07:07 -0000 1.1116 +++ CHANGES 31 Jul 2007 11:33:46 -0000 1.1117 @@ -22,6 +22,8 @@ # 1.3.4 +- downgraded syslinux to 3.36 +- updated syslog-ng to 2.0.4 - upadted l7-filter to 2.12.1 (sl) - ported RUNFROMRAM from 1.2-branch (fl,brudner) - changed /etc/init.d/localnet to use iproute2 instead of ifconfig (brudner) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.359 retrieving revision 1.360 diff -u -d -r1.359 -r1.360 --- md5sum.lst 31 Jul 2007 11:07:07 -0000 1.359 +++ md5sum.lst 31 Jul 2007 11:33:46 -0000 1.360 @@ -184,6 +184,7 @@ 92f0dd5107b92a744e104f50f9b2dd2d src/ebtables-v2.0.8-rc3.tar.gz d0f22544abc3314910e7b5799059a57f src/ether-wake-1.09.tar.bz2 b4e71f7fa2629250677eefcb338442c5 src/ethtool-3.tar.gz +a6bdba91f88540cc69b398fd138d86cd src/eventlog-0.2.5.tar.gz 21f30085f3960069fc75d467895ba925 src/exec-shield-2.4.25-G9.bz2 65d6b0fa4072586c94c0fa4f2b20cb19 src/exec-shield-2.6.5-C9.bz2 ee8b492592568805593f81f8cdf2a04c src/expat-2.0.1.tar.gz @@ -463,8 +464,8 @@ b29893c06192df6230dd5f340f3badf5 src/sudo-1.6.8p12.tar.gz 4a0bae63e3713e89b26db7209b6a7e05 src/swig-1.3.31.tar.gz 14e7dcd0436d2f49aa403f67e1ef7ddc src/sysfsutils-2.1.0.tar.gz -b0e5a03f0a8443a10e3e0f15f24e328a src/syslinux-3.51.tar.bz2 -ffbad7e8e6dcbe385820b8ffba23b622 src/syslog-ng-1.6.8.tar.gz +d1bfdaa53d31f572f540be55d1480027 src/syslinux-3.36.tar.bz2 +51e72f9687e5a3a3c01e51ed9de96378 src/syslog-ng-2.0.4.tar.gz d0f80c7ddaa93b78a8baa795f4b2309c src/sysstat-7.1.4.tar.bz2 7d5d61c026122ab791ac04c8a84db967 src/sysvinit-2.86.tar.gz d51593461c5ef1f7e37134f22338bb9e src/tar-1.16.1.tar.bz2 |
|
From: Serge L. <sma...@us...> - 2007-07-31 11:33:49
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv28807/scripts Modified Files: syslog-ng Added Files: eventlog Log Message: - update syslog-ng to 2.0.4 Index: syslog-ng =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/syslog-ng,v retrieving revision 1.12 retrieving revision 1.13 diff -u -d -r1.12 -r1.13 --- syslog-ng 24 Jan 2005 00:35:20 -0000 1.12 +++ syslog-ng 31 Jul 2007 11:33:46 -0000 1.13 @@ -10,7 +10,7 @@ ### BEGIN INIT INFO # Provides: syslog-ng -# Required-Start: $basebuildtools $libs +# Required-Start: $basebuildtools $libs eventlog # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -25,7 +25,8 @@ case $1 in build ) - ./configure --prefix=/usr --sysconfdir=/etc || exit 1 + ./configure --prefix=/usr --sysconfdir=/etc/syslog-ng/ --enable-ipv6 --enable-spoof-source --enable-dynamic-linking || exit 1 + make $PMAKE all || exit 1 strip_debug ;; --- NEW FILE: eventlog --- #!/bin/bash # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: eventlog # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) ./configure --prefix=/usr || exit 1 make || exit 1 # install it in local system, because other programs could need it make install || exit 1 ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Serge L. <sma...@us...> - 2007-07-31 11:26:42
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv18687 Modified Files: CHANGES md5sum.lst Log Message: - updated l7-filter for kernel 2.6.21.5 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1115 retrieving revision 1.1116 diff -u -d -r1.1115 -r1.1116 --- CHANGES 24 Jul 2007 08:08:04 -0000 1.1115 +++ CHANGES 31 Jul 2007 11:07:07 -0000 1.1116 @@ -22,6 +22,7 @@ # 1.3.4 +- upadted l7-filter to 2.12.1 (sl) - ported RUNFROMRAM from 1.2-branch (fl,brudner) - changed /etc/init.d/localnet to use iproute2 instead of ifconfig (brudner) - fixed list of ethernet-cards in setup-script to use lspci (brudner) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.358 retrieving revision 1.359 diff -u -d -r1.358 -r1.359 --- md5sum.lst 6 Jul 2007 04:16:17 -0000 1.358 +++ md5sum.lst 31 Jul 2007 11:07:07 -0000 1.359 @@ -365,7 +365,7 @@ 888774accab40217dde927e21979c165 src/net-tools-1.60.tar.bz2 e4da725325c175f1b4c114c5e305cfa8 src/net-tools_1.60-9.diff.gz c2bc56b61028bce36a5cc3fe7e81058e src/netacct-mysql-0.78.tar.gz -ebf9043a5352ebe6dbd721989ef83dee src/netfilter-layer7-v2.9.tar.gz +ba83355c49c2441d7b063bd28b0538fd src/netfilter-layer7-v2.12.1.tar.gz 6666e32c693f13283c92261c40e179b5 src/netpbm-10.26.32.tgz acf3656cec3872deb597aa7ac13f3c3a src/nfs-utils-1.0.12.tar.gz ea50419f99472200c4184a304e3831ea src/nmap-4.20.tar.bz2 |
|
From: Serge L. <sma...@us...> - 2007-07-31 11:07:19
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv18687/scripts Modified Files: patch-o-matic Log Message: - updated l7-filter for kernel 2.6.21.5 Index: patch-o-matic =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/patch-o-matic,v retrieving revision 1.32 retrieving revision 1.33 diff -u -d -r1.32 -r1.33 --- patch-o-matic 27 Mar 2007 00:52:50 -0000 1.32 +++ patch-o-matic 31 Jul 2007 11:07:08 -0000 1.33 @@ -36,17 +36,19 @@ if [ ! -f .done_layer7 ]; then pushd $KERNEL_DIR > /dev/null - patch -p1 < ../netfilter-layer7-*/kernel*2.6*layer7-*.patch || exit 1 +# patch -p1 < ../netfilter-layer7-*/kernel*2.6*layer7-*.patch || exit 1 + patch -p1 < ../netfilter-layer7-*/for_older_kernels/kernel-2.6.20-2.6.21*layer7-*.patch || exit 1 popd > /dev/null pushd $IPTABLES_DIR > /dev/null - patch -p1 < ../netfilter-layer7-*/iptables-layer7-*.patch || exit 1 +# patch -p1 < ../netfilter-layer7-*/iptables-layer7-*.patch || exit 1 + patch -p1 < ../netfilter-layer7-*/iptables-*2.6.20forward-layer7*.patch || exit 1 chmod +x extensions/.layer7-test || exit 1 popd > /dev/null touch .done_layer7 fi fi - + for FILE in $(ls $DL_DIR/src/pom-addon/*.tar.bz2) do tar -vxjf $FILE -C patchlets || exit 1 @@ -88,6 +90,11 @@ set_all_kernel_options net/ipv4/netfilter set_all_kernel_options net/ipv6/netfilter + if [ "$CONFIG_NF_LAYER7" = "y" ]; then + set_kernel_option CONFIG_NETFILTER_XT_MATCH_LAYER7 m + set_kernel_option CONFIG_NETFILTER_XT_MATCH_LAYER7_DEBUG n + fi + # settings didn't get applied, so let's do it here #set_kernel_option CONFIG_IP_NF_RAW m |
|
From: Björn R. <br...@us...> - 2007-07-31 10:21:39
|
Update of /cvsroot/devil-linux/build/scripts/config/linux-2.6 In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv785 Modified Files: config_linux.686 Log Message: commented out duplicate entries already defined in config_linux that made make build fail Index: config_linux.686 =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/linux-2.6/config_linux.686,v retrieving revision 1.3 retrieving revision 1.4 diff -u -d -r1.3 -r1.4 --- config_linux.686 22 Mar 2007 01:48:37 -0000 1.3 +++ config_linux.686 31 Jul 2007 10:21:35 -0000 1.4 @@ -92,7 +92,7 @@ CONFIG_IOSCHED_AS=y # CONFIG_IOSCHED_DEADLINE is not set # CONFIG_IOSCHED_CFQ is not set -CONFIG_DEFAULT_AS=y +#CONFIG_DEFAULT_AS=y # CONFIG_DEFAULT_DEADLINE is not set # CONFIG_DEFAULT_CFQ is not set # CONFIG_DEFAULT_NOOP is not set @@ -182,7 +182,7 @@ # CONFIG_DELL_RBU is not set CONFIG_DCDBAS=m # CONFIG_NOHIGHMEM is not set -CONFIG_HIGHMEM4G=y +# CONFIG_HIGHMEM4G=y # CONFIG_HIGHMEM64G is not set CONFIG_PAGE_OFFSET=0xC0000000 CONFIG_HIGHMEM=y @@ -191,7 +191,7 @@ CONFIG_ARCH_SELECT_MEMORY_MODEL=y CONFIG_ARCH_POPULATES_NODE_MAP=y CONFIG_SELECT_MEMORY_MODEL=y -CONFIG_FLATMEM_MANUAL=y +# CONFIG_FLATMEM_MANUAL=y # CONFIG_DISCONTIGMEM_MANUAL is not set # CONFIG_SPARSEMEM_MANUAL is not set CONFIG_FLATMEM=y @@ -208,8 +208,8 @@ # CONFIG_HZ_100 is not set # CONFIG_HZ_250 is not set # CONFIG_HZ_300 is not set -CONFIG_HZ_1000=y -CONFIG_HZ=1000 +# CONFIG_HZ_1000=y +# CONFIG_HZ=1000 # CONFIG_KEXEC is not set # CONFIG_CRASH_DUMP is not set CONFIG_PHYSICAL_START=0x100000 @@ -263,7 +263,7 @@ CONFIG_CPU_FREQ_TABLE=y # CONFIG_CPU_FREQ_DEBUG is not set # CONFIG_CPU_FREQ_STAT is not set -CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y +# CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y # CONFIG_CPU_FREQ_DEFAULT_GOV_USERSPACE is not set CONFIG_CPU_FREQ_GOV_PERFORMANCE=y # CONFIG_CPU_FREQ_GOV_POWERSAVE is not set @@ -302,7 +302,7 @@ # CONFIG_PCI_GOBIOS is not set # CONFIG_PCI_GOMMCONFIG is not set # CONFIG_PCI_GODIRECT is not set -CONFIG_PCI_GOANY=y +# CONFIG_PCI_GOANY=y CONFIG_PCI_BIOS=y CONFIG_PCI_DIRECT=y CONFIG_PCI_MMCONFIG=y @@ -390,7 +390,7 @@ CONFIG_INET=y CONFIG_IP_MULTICAST=y CONFIG_IP_ADVANCED_ROUTER=y -CONFIG_ASK_IP_FIB_HASH=y +# CONFIG_ASK_IP_FIB_HASH=y # CONFIG_IP_FIB_TRIE is not set CONFIG_IP_FIB_HASH=y CONFIG_IP_MULTIPLE_TABLES=y @@ -488,7 +488,7 @@ CONFIG_NETFILTER_NETLINK_QUEUE=m CONFIG_NETFILTER_NETLINK_LOG=m CONFIG_NF_CONNTRACK_ENABLED=m -CONFIG_NF_CONNTRACK_SUPPORT=y +# CONFIG_NF_CONNTRACK_SUPPORT=y # CONFIG_IP_NF_CONNTRACK_SUPPORT is not set CONFIG_NF_CONNTRACK=m CONFIG_NF_CT_ACCT=y @@ -669,7 +669,7 @@ # CONFIG_NET_SCHED=y CONFIG_NET_SCH_FIFO=y -CONFIG_NET_SCH_CLK_JIFFIES=y +# CONFIG_NET_SCH_CLK_JIFFIES=y # CONFIG_NET_SCH_CLK_GETTIMEOFDAY is not set # CONFIG_NET_SCH_CLK_CPU is not set @@ -1455,7 +1455,7 @@ # CONFIG_BCM43XX_DEBUG is not set CONFIG_BCM43XX_DMA=y CONFIG_BCM43XX_PIO=y -CONFIG_BCM43XX_DMA_AND_PIO_MODE=y +# CONFIG_BCM43XX_DMA_AND_PIO_MODE=y # CONFIG_BCM43XX_DMA_MODE is not set # CONFIG_BCM43XX_PIO_MODE is not set CONFIG_ZD1211RW=m @@ -2627,7 +2627,7 @@ # Distributed Lock Manager # CONFIG_DLM=m -CONFIG_DLM_TCP=y +# CONFIG_DLM_TCP=y # CONFIG_DLM_SCTP is not set # CONFIG_DLM_DEBUG is not set |
|
From: Björn R. <br...@us...> - 2007-07-31 07:22:29
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv32603 Modified Files: Tag: rel-1-2-patches reiserfsprogs Log Message: remove duplicates Index: reiserfsprogs =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/reiserfsprogs,v retrieving revision 1.14 retrieving revision 1.14.2.1 diff -u -d -r1.14 -r1.14.2.1 --- reiserfsprogs 16 Jan 2004 19:22:48 -0000 1.14 +++ reiserfsprogs 31 Jul 2007 07:22:23 -0000 1.14.2.1 @@ -41,6 +41,9 @@ cp -dpR $WORKDIR/tmp/* $CDDIR || exit 1 ln -sf mkreiserfs $CDDIR/sbin/mkfs.reiserfs || exit 1 ln -sf reiserfsck $CDDIR/sbin/fsck.reiserfs || exit 1 + ln -sf debugreiserfs $CDDIR/sbin/debugfs.reiserfs || exit 1 + ln -sf reiserfstune $CDDIR/sbin/tunefs.reiserfs || exit 1 + ln -sf resize_reiserfs $CDDIR/sbin/resizefs.reiserfs || exit 1 rm -rf $WORKDIR/tmp || exit 1 ;; |
|
From: Björn R. <br...@us...> - 2007-07-30 21:16:59
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv5377/configuration/help Modified Files: Tag: rel-1-2-patches netacct-mysql.help Log Message: netacct-mysql needs mysql-client to build Index: netacct-mysql.help =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/help/netacct-mysql.help,v retrieving revision 1.1 retrieving revision 1.1.4.1 diff -u -d -r1.1 -r1.1.4.1 --- netacct-mysql.help 17 May 2003 00:47:56 -0000 1.1 +++ netacct-mysql.help 30 Jul 2007 21:16:54 -0000 1.1.4.1 @@ -7,3 +7,5 @@ does). Best works when is installed on router/gateway machine. It supports peering file which means that you can divide you traffic in international and local peering. + + needs mysql-client to build. |
|
From: Björn R. <br...@us...> - 2007-07-30 21:16:57
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv5377/configuration Modified Files: Tag: rel-1-2-patches netacct-mysql.config Log Message: netacct-mysql needs mysql-client to build Index: netacct-mysql.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/netacct-mysql.config,v retrieving revision 1.3 retrieving revision 1.3.2.1 diff -u -d -r1.3 -r1.3.2.1 --- netacct-mysql.config 14 Nov 2003 01:49:09 -0000 1.3 +++ netacct-mysql.config 30 Jul 2007 21:16:54 -0000 1.3.2.1 @@ -5,4 +5,6 @@ # # http://www.devil-linux.org -menu_add "Networking|Utilities" bool "NETACCT-MYSQL" CONFIG_NETACCT +if [ "$CONFIG_MYSQL_CLIENT" = "y" ]; then + menu_add "Networking|Utilities" bool "NETACCT-MYSQL" CONFIG_NETACCT +fi |
|
From: Björn R. <br...@us...> - 2007-07-30 21:16:57
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv5377 Modified Files: Tag: rel-1-2-patches netacct-mysql Log Message: netacct-mysql needs mysql-client to build Index: netacct-mysql =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/netacct-mysql,v retrieving revision 1.8 retrieving revision 1.8.2.1 diff -u -d -r1.8 -r1.8.2.1 --- netacct-mysql 3 May 2004 15:33:36 -0000 1.8 +++ netacct-mysql 30 Jul 2007 21:16:54 -0000 1.8.2.1 @@ -28,13 +28,16 @@ case $1 in build ) if [ "$CONFIG_NETACCT" = "y" ]; then + if [ "$CONFIG_MYSQL_CLIENT" = "y" ]; then ./configure --prefix=/usr --sysconfdir=/etc --with-libpcap-includes=/lib --with-libpcap-libraries=/usr || exit 1 make $PMAKE all || exit 1 strip_debug + fi fi ;; install ) if [ "$CONFIG_NETACCT" = "y" ]; then + if [ "$CONFIG_MYSQL_CLIENT" ="y" ]; then rm -rf $WORKDIR/tmp || exit 1 mkdir -p $WORKDIR/tmp/usr/sbin || exit 1 @@ -50,6 +53,7 @@ echo "HELP_$MYNAME=\"$MYNAME is a daemon that logs network traffic\"" >> $SOFTWAREHELP rm -rf $WORKDIR/tmp || exit 1 + fi fi ;; |
|
From: Björn R. <br...@us...> - 2007-07-30 21:14:17
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv4312/configuration Modified Files: netacct-mysql.config Log Message: netacct-mysql needs mysql to build Index: netacct-mysql.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/netacct-mysql.config,v retrieving revision 1.3 retrieving revision 1.4 diff -u -d -r1.3 -r1.4 --- netacct-mysql.config 14 Nov 2003 01:49:09 -0000 1.3 +++ netacct-mysql.config 30 Jul 2007 21:14:11 -0000 1.4 @@ -5,4 +5,6 @@ # # http://www.devil-linux.org -menu_add "Networking|Utilities" bool "NETACCT-MYSQL" CONFIG_NETACCT +if [ $CONFIG_MYSQL_CLIENT = "y" ]; then + menu_add "Networking|Utilities" bool "NETACCT-MYSQL" CONFIG_NETACCT +fi |
|
From: Björn R. <br...@us...> - 2007-07-30 21:14:14
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv4312 Modified Files: netacct-mysql Log Message: netacct-mysql needs mysql to build Index: netacct-mysql =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/netacct-mysql,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- netacct-mysql 12 Dec 2004 21:48:08 -0000 1.9 +++ netacct-mysql 30 Jul 2007 21:14:11 -0000 1.10 @@ -28,13 +28,16 @@ case $1 in build ) if [ "$CONFIG_NETACCT" = "y" ]; then + if [ "$CONFIG_MYSQL_CLIENT" = "y" ]; then ./configure --prefix=/usr --sysconfdir=/etc --with-libpcap-includes=/lib --with-libpcap-libraries=/usr || exit 1 make $PMAKE all || exit 1 strip_debug + fi fi ;; install ) if [ "$CONFIG_NETACCT" = "y" ]; then + if [ "$CONFIG_MYSQL_CLIENT" = "y" ]; then rm -rf $TMPDIR || exit 1 mkdir -p $TMPDIR/usr/sbin || exit 1 @@ -50,6 +53,7 @@ echo "HELP_$MYNAME=\"$MYNAME is a daemon that logs network traffic\"" >> $SOFTWAREHELP rm -rf $TMPDIR || exit 1 + fi fi ;; |
|
From: Björn R. <br...@us...> - 2007-07-30 21:14:14
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv4312/configuration/help Modified Files: netacct-mysql.help Log Message: netacct-mysql needs mysql to build Index: netacct-mysql.help =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/help/netacct-mysql.help,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- netacct-mysql.help 17 May 2003 00:47:56 -0000 1.1 +++ netacct-mysql.help 30 Jul 2007 21:14:11 -0000 1.2 @@ -7,3 +7,5 @@ does). Best works when is installed on router/gateway machine. It supports peering file which means that you can divide you traffic in international and local peering. + + Needs mysql-client. |
|
From: Björn R. <br...@us...> - 2007-07-30 15:59:10
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv20224 Modified Files: id3v2 Log Message: id3v2 got build and installed even CONFIG_ID3V2 was set to "n" Index: id3v2 =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/id3v2,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- id3v2 1 Aug 2004 18:27:21 -0000 1.1 +++ id3v2 30 Jul 2007 15:59:07 -0000 1.2 @@ -25,13 +25,17 @@ case $1 in build ) - make $PMAKE || exit 1 - strip_debug + if [ "$CONFIG_ID3V2" = "y" ]; then + make $PMAKE || exit 1 + strip_debug + fi ;; install ) - cp id3v2 $CDDIR/usr/bin || exit 1 - copy_man + if [ "$CONFIG_ID3V2" = "y" ]; then + cp id3v2 $CDDIR/usr/bin || exit 1 + copy_man + fi ;; * ) |
|
From: Björn R. <br...@us...> - 2007-07-30 13:44:38
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv4103 Modified Files: Tag: rel-1-2-patches squid.config squidguard.config Log Message: done some "backports" of menuconfig from 1.3-branch Index: squid.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/squid.config,v retrieving revision 1.2 retrieving revision 1.2.4.1 diff -u -d -r1.2 -r1.2.4.1 --- squid.config 2 Oct 2003 15:58:26 -0000 1.2 +++ squid.config 30 Jul 2007 13:44:32 -0000 1.2.4.1 @@ -5,4 +5,4 @@ # # http://www.devil-linux.org -menu_add "Networking|Services" bool "Squid" CONFIG_SQUID +menu_add "Networking|WWW" bool "Squid" CONFIG_SQUID Index: squidguard.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/squidguard.config,v retrieving revision 1.1 retrieving revision 1.1.2.1 diff -u -d -r1.1 -r1.1.2.1 --- squidguard.config 16 Feb 2004 23:28:24 -0000 1.1 +++ squidguard.config 30 Jul 2007 13:44:32 -0000 1.1.2.1 @@ -5,4 +5,4 @@ # # http://www.devil-linux.org -menu_add "Networking|Services" bool "Squidguard" CONFIG_SQUIDGUARD +menu_add "Networking|WWW" bool "Squidguard" CONFIG_SQUIDGUARD |
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv3361/configuration Modified Files: Tag: rel-1-2-patches mod_perl.config php.config httpd.config sarg.config vsftpd.config thttpd.config Log Message: done some "backports" of menuconfig from 1.3-branch Index: sarg.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/sarg.config,v retrieving revision 1.1 retrieving revision 1.1.2.1 diff -u -d -r1.1 -r1.1.2.1 --- sarg.config 20 Oct 2003 17:45:50 -0000 1.1 +++ sarg.config 30 Jul 2007 13:42:28 -0000 1.1.2.1 @@ -5,4 +5,4 @@ # # http://www.devil-linux.org -menu_add "Networking|Services" bool "Sarg (Squid Analysis Report Generator)" CONFIG_SARG +menu_add "Networking|WWW" bool "Sarg (Squid Analysis Report Generator)" CONFIG_SARG Index: mod_perl.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/mod_perl.config,v retrieving revision 1.1.2.1 retrieving revision 1.1.2.2 diff -u -d -r1.1.2.1 -r1.1.2.2 --- mod_perl.config 3 Jul 2006 02:47:02 -0000 1.1.2.1 +++ mod_perl.config 30 Jul 2007 13:42:28 -0000 1.1.2.2 @@ -1,7 +1,12 @@ #!/bin/bash +# $Source$ +# $Revision$ +# $Date$ # # http://www.devil-linux.org -if [ "$CONFIG_HTTPD" = "y" ] && [ "$CONFIG_PERL" = "y" ] ; then - menu_add "Networking|Services" bool "mod_perl for Apache" CONFIG_MOD_PERL +if [ "$CONFIG_HTTPD" = "y" ]; then + if [ "$CONFIG_PERL" = "y" ] ; then + menu_add "Networking|WWW|Apache Config" bool "mod_perl for Apache" CONFIG_MOD_PERL + fi fi Index: vsftpd.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/vsftpd.config,v retrieving revision 1.2 retrieving revision 1.2.4.1 diff -u -d -r1.2 -r1.2.4.1 --- vsftpd.config 2 Oct 2003 15:58:26 -0000 1.2 +++ vsftpd.config 30 Jul 2007 13:42:28 -0000 1.2.4.1 @@ -5,4 +5,4 @@ # # http://www.devil-linux.org -menu_add "Networking|Services" bool "vsftpd (small, fast and secure FTP server)" CONFIG_VSFTPD +menu_add "Networking|WWW" bool "vsftpd (small, fast and secure FTP server)" CONFIG_VSFTPD Index: httpd.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/httpd.config,v retrieving revision 1.1 retrieving revision 1.1.2.1 diff -u -d -r1.1 -r1.1.2.1 --- httpd.config 14 Oct 2003 02:04:31 -0000 1.1 +++ httpd.config 30 Jul 2007 13:42:28 -0000 1.1.2.1 @@ -5,4 +5,15 @@ # # http://www.devil-linux.org -menu_add "Networking|Services" bool "Apache Webserver" CONFIG_HTTPD +menu_add "Networking|WWW" bool "Apache Webserver" CONFIG_HTTPD + +if [ "$CONFIG_HTTPD" = "y" ]; then + test -z "$CONFIG_HTTPD_MPM" && CONFIG_HTTPD_MPM="prefork" + menu_add "Networking|WWW|Apache Config" list "MPM-Type" CONFIG_HTTPD_MPM prefork worker event + + test -z "$CONFIG_HTTPD_NONPORTATOM" && CONFIG_HTTPD_NONPORTATOM="n" + menu_add "Networking|WWW|Apache Config" bool "enable nonportable atomics" CONFIG_HTTPD_NONPORTATOM + + test -z "$CONFIG_HTTPD_SUEXEC" && CONFIG_HTTPD_SUEXEC="y" + menu_add "Networking|WWW|Apache Config" bool "enable suexec" CONFIG_HTTPD_SUEXEC +fi Index: thttpd.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/thttpd.config,v retrieving revision 1.2 retrieving revision 1.2.4.1 diff -u -d -r1.2 -r1.2.4.1 --- thttpd.config 2 Oct 2003 15:58:26 -0000 1.2 +++ thttpd.config 30 Jul 2007 13:42:28 -0000 1.2.4.1 @@ -5,4 +5,4 @@ # # http://www.devil-linux.org -menu_add "Networking|Services" bool "thttpd (small, fast and secure webserver)" CONFIG_THTTPD +menu_add "Networking|WWW" bool "thttpd (small, fast and secure webserver)" CONFIG_THTTPD Index: php.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/php.config,v retrieving revision 1.1 retrieving revision 1.1.2.1 diff -u -d -r1.1 -r1.1.2.1 --- php.config 16 Oct 2003 02:21:37 -0000 1.1 +++ php.config 30 Jul 2007 13:42:28 -0000 1.1.2.1 @@ -5,4 +5,4 @@ # # http://www.devil-linux.org -test "$CONFIG_HTTPD" = "y" && menu_add "Networking|Services" bool "PHP" CONFIG_PHP +test "$CONFIG_HTTPD" = "y" && menu_add "Networking|WWW|Apache Config" bool "PHP" CONFIG_PHP |
|
From: Björn R. <br...@us...> - 2007-07-30 13:42:35
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv3361/configuration/help Modified Files: Tag: rel-1-2-patches httpd.help Log Message: done some "backports" of menuconfig from 1.3-branch Index: httpd.help =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/help/httpd.help,v retrieving revision 1.1 retrieving revision 1.1.2.1 diff -u -d -r1.1 -r1.1.2.1 --- httpd.help 14 Oct 2003 02:04:32 -0000 1.1 +++ httpd.help 30 Jul 2007 13:42:29 -0000 1.1.2.1 @@ -3,4 +3,24 @@ maintain an open-source HTTP server for modern operating systems including UNIX and Windows NT. The goal of this project is to provide a secure, efficient and extensible server that provides - HTTP services in sync with the current HTTP standards. \ No newline at end of file + HTTP services in sync with the current HTTP standards. +CONFIG_HTTPD_MPM + The worker MPM uses multiple child processes with many threads each. + Each thread handles one connection at a time. + Worker generally is a good choice for high-traffic servers because it + has a smaller memory footprint than the prefork MPM. + The prefork MPM uses multiple child processes with one thread each. + Each process handles one connection at a time. + On many systems, prefork is comparable in speed to worker, but it uses more memory. + Prefork's threadless design has advantages over worker in some situations: + it can be used with non-thread-safe third-party modules, and it is easier to + debug on platforms with poor thread debugging support. +CONFIG_HTTPD_NONPORTATOM + By default, APR uses mutex-based atomics on Linux. + If you configure with --enable-nonportable-atomics, however, + APR generates code that uses a 486 opcode for fast hardware compare-and-swap. + This will result in more efficient atomic operations, + but the resulting executable will run only on 486 and later chips (and not on 386). +CONFIG_HTTPD_SUEXEC + mod_suexec - Allows CGI scripts to run as a specified user and Group + |
|
From: Björn R. <br...@us...> - 2007-07-30 13:42:35
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv3361 Modified Files: Tag: rel-1-2-patches httpd Log Message: done some "backports" of menuconfig from 1.3-branch Index: httpd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/httpd,v retrieving revision 1.3.2.4 retrieving revision 1.3.2.5 diff -u -d -r1.3.2.4 -r1.3.2.5 --- httpd 27 Feb 2007 14:20:55 -0000 1.3.2.4 +++ httpd 30 Jul 2007 13:42:28 -0000 1.3.2.5 @@ -28,14 +28,42 @@ case $1 in build ) if [ "$CONFIG_HTTPD" = "y" ]; then - ./configure --enable-v4-mapped --enable-auth-anon --enable-auth-dbm --enable-auth-digest \ - --enable-case-filter --enable-case-filter-in --enable-ext-filter \ - --enable-deflate --enable-logio --enable-mime-magic --enable-cern-meta --enable-expires --enable-headers \ - --enable-usertrack --enable-unique-id --enable-proxy --enable-proxy-connect --enable-proxy-ftp --enable-proxy-http \ - --enable-ssl=shared --enable-bucketeer --enable-http --enable-info --enable-cgi --enable-vhost-alias \ - --enable-rewrite --enable-so --enable-dav --enable-dav-fs \ - --enable-mods-shared=all --enable-suexec --with-suexec-caller=www \ - --enable-layout=Debian --enable-mem-cache --enable-disk-cache --enable-cache || exit 1 + PARAMS="" + PARAMS="$PARAMS --with-mpm=$CONFIG_HTTPD_MPM" + if [ "$CONFIG_HTTPD_NONPORTATOM" = "y" ]; then + PARAMS="$PARAMS --enable-nonportable-atomics=yes" + fi + PARAMS="$PARAMS --enable-rewrite" + PARAMS="$PARAMS --enable-proxy" + PARAMS="$PARAMS --enable-proxy-ajp" + PARAMS="$PARAMS --enable-proxy-balancer" + PARAMS="$PARAMS --enable-proxy-connect" + PARAMS="$PARAMS --enable-proxy-ftp" + PARAMS="$PARAMS --enable-proxy-http" + PARAMS="$PARAMS --enable-dav --enable-dav-fs --enable-dav-lock" + PARAMS="$PARAMS --enable-cache --enable-mem-cache --enable-disk-cache" + PARAMS="$PARAMS --enable-cgi --enable-cgid" + if [ "$CONFIG_HTTPD_SUEXEC" = "y" ]; then + PARAMS="$PARAMS --enable-suexec --with-suexec-caller=www" + else + PARAMS="$PARAMS --disable-suexec" + fi + PARAMS="$PARAMS --enable-auth-anon --enable-auth-dbm --enable-auth-digest" + PARAMS="$PARAMS --enable-userdir" + PARAMS="$PARAMS --enable-cern-meta" + PARAMS="$PARAMS --enable-bucketeer" + PARAMS="$PARAMS --enable-case-filter" + PARAMS="$PARAMS --enable-case-filter-in" + PARAMS="$PARAMS --enable-usertrack" + PARAMS="$PARAMS --enable-speling" + PARAMS="$PARAMS --enable-v4-mapped" + PARAMS="$PARAMS --enable-ext-filter" + PARAMS="$PARAMS --enable-deflate --enable-logio --enable-mime-magic --enable-expires --enable-headers" + PARAMS="$PARAMS --enable-unique-id" + PARAMS="$PARAMS --enable-ssl=shared --enable-http --enable-info --enable-vhost-alias" + PARAMS="$PARAMS --enable-so" + PARAMS="$PARAMS --enable-mods-shared=all --enable-layout=Debian" + ./configure $PARAMS || exit 1 # not working --enable-ldap --enable-auth-ldap make $PMAKE all || exit 1 strip_debug |
|
From: Björn R. <br...@us...> - 2007-07-30 13:15:47
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv26493 Modified Files: Tag: rel-1-2-patches mod_perl Log Message: setting $CONFIG_MOD_PERL was not honored by the script Index: mod_perl =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/mod_perl,v retrieving revision 1.1.2.5 retrieving revision 1.1.2.6 diff -u -d -r1.1.2.5 -r1.1.2.6 --- mod_perl 23 Feb 2007 15:23:31 -0000 1.1.2.5 +++ mod_perl 30 Jul 2007 13:15:34 -0000 1.1.2.6 @@ -22,18 +22,22 @@ case $1 in build ) - if [ "$CONFIG_HTTPD" = "y" ]; then - perl Makefile.PL MP_APXS=/usr/sbin/apxs || exit 1 - make || exit 1 - strip_debug + if [ "$CONFIG_MOD_PERL" = "y" ]; then + if [ "$CONFIG_HTTPD" = "y" ]; then + perl Makefile.PL MP_APXS=/usr/sbin/apxs || exit 1 + make || exit 1 + strip_debug + fi fi ;; install ) - if [ "$CONFIG_HTTPD" = "y" ]; then - make install DESTDIR=$TMPDIR || exit 1 - cp src/modules/perl/mod_perl.so $CDDIR/usr/lib/apache2/modules/ || exit 1 - rm -rf $TMPDIR || exit 1 + if [ "$CONFIG_MOD_PERL" = "y" ]; then + if [ "$CONFIG_HTTPD" = "y" ]; then + make install DESTDIR=$TMPDIR || exit 1 + cp src/modules/perl/mod_perl.so $CDDIR/usr/lib/apache2/modules/ || exit 1 + rm -rf $TMPDIR || exit 1 + fi fi ;; |
|
From: Björn R. <br...@us...> - 2007-07-30 12:34:08
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv10986 Modified Files: Tag: rel-1-2-patches localnet Log Message: replace ifconfig by iproute2 Index: localnet =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/localnet,v retrieving revision 1.4 retrieving revision 1.4.2.1 diff -u -d -r1.4 -r1.4.2.1 --- localnet 5 Mar 2004 01:55:21 -0000 1.4 +++ localnet 30 Jul 2007 12:33:57 -0000 1.4.2.1 @@ -30,21 +30,25 @@ case "$1" in start) - echo -n "Bringing up the loopback interface..." - /sbin/ifconfig lo 127.0.0.1 - evaluate_retval + echo -n "Setting up loopback address..." + /sbin/ip addr add 127.0.0.1/8 dev lo broadcast + scope host + evaluate_retval + echo -n "Bringing up the loopback interface..." + /sbin/ip link set lo up + evaluate_retval echo -n "Setting up hostname..." /bin/hostname $HOSTNAME evaluate_retval ;; - stop) - echo -n "Bringing down the loopback interface..." - /sbin/ifconfig lo down - evaluate_retval - ;; - + echo -n "Bringing down the loopback interface..." + /sbin/ip link set lo down + evaluate_retval + echo -n "Removing loopback address..." + /sbin/ip addr del 127.0.0.1/8 dev lo + evaluate_retval + ;; restart) $0 stop sleep 1 |
|
From: Björn R. <br...@us...> - 2007-07-30 12:25:13
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7671 Modified Files: Tag: rel-1-2-patches save-config Log Message: exclude some things regenerated at boot-time Index: save-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/save-config,v retrieving revision 1.29.2.3 retrieving revision 1.29.2.4 diff -u -d -r1.29.2.3 -r1.29.2.4 --- save-config 8 Jun 2006 13:32:22 -0000 1.29.2.3 +++ save-config 30 Jul 2007 12:24:51 -0000 1.29.2.4 @@ -269,6 +269,11 @@ --exclude=*.8.old \ --exclude=*.9.old \ --exclude=dhcpcd-eth*.pid \ + --exclude=adjtime \ + --exclude=blkid.tab* \ + --exclude=lvm/archive \ + --exclude=lvm/backup \ + --exclude=lvm/cache \ etc root -f - | bzip2 -c > $CONFIG_MOUNT/$DL_CONFIG_FILE error=$? |
|
From: Björn R. <br...@us...> - 2007-07-30 12:22:08
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6603 Modified Files: save-config Log Message: exclude some things regenerated on boot-time Index: save-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/save-config,v retrieving revision 1.32 retrieving revision 1.33 diff -u -d -r1.32 -r1.33 --- save-config 8 Jun 2006 13:47:35 -0000 1.32 +++ save-config 30 Jul 2007 12:22:03 -0000 1.33 @@ -269,6 +269,11 @@ --exclude=*.8.old \ --exclude=*.9.old \ --exclude=dhcpcd-eth*.pid \ + --exclude=adjtime \ + --exclude=blkid.tab* \ + --exclude=lvm/archive \ + --exclude=lvm/backup \ + --exclude=lvm/cache \ etc root -f - | bzip2 -c > $CONFIG_MOUNT/$DL_CONFIG_FILE error=$? |
|
From: Björn R. <br...@us...> - 2007-07-25 13:44:11
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv22271/configuration Modified Files: httpd.config mod_perl.config vsftpd.config Log Message: added some config-settings for Apache (choose MPM, cache, WebDAV, ...) Index: httpd.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/httpd.config,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- httpd.config 14 Oct 2003 02:04:31 -0000 1.1 +++ httpd.config 25 Jul 2007 13:44:02 -0000 1.2 @@ -5,4 +5,23 @@ # # http://www.devil-linux.org -menu_add "Networking|Services" bool "Apache Webserver" CONFIG_HTTPD +menu_add "Networking|WWW" bool "Apache Webserver" CONFIG_HTTPD + +if [ "$CONFIG_HTTPD" = "y" ]; then + test -z "$CONFIG_HTTP_MPM" && CONFIG_HTTP_MPM="prefork" + menu_add "Networking|WWW|Apache Config" list "MPM-Type" CONFIG_HTTP_MPM prefork worker event + + test -z "$CONFIG_HTTP_NONPORTATOM" && CONFIG_HTTP_NONPORTATOM="n" + menu_add "Networking|WWW|Apache Config" bool "enable nonportable atomics" CONFIG_HTTP_NONPORTATOM + + test -z "$CONFIG_HTTP_CACHE" && CONFIG_HTTP_CACHE="y" + menu_add "Networking|WWW|Apache Config" bool "enable cache (mem & disk)" CONFIG_HTTP_CACHE + + test -z "$CONFIG_HTTP_PROXY" && CONFIG_HTTP_PROXY="y" + menu_add "Networking|WWW|Apache Config" bool "enable proxy (including balancer)" CONFIG_HTTP_PROXY + + test -z "$CONFIG_HTTP_DAV" && CONFIG_HTTP_DAV="y" + menu_add "Networking|WWW|Apache Config" bool "enable WebDAV" CONFIG_HTTP_DAV + +fi + Index: vsftpd.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/vsftpd.config,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- vsftpd.config 2 Oct 2003 15:58:26 -0000 1.2 +++ vsftpd.config 25 Jul 2007 13:44:02 -0000 1.3 @@ -5,4 +5,4 @@ # # http://www.devil-linux.org -menu_add "Networking|Services" bool "vsftpd (small, fast and secure FTP server)" CONFIG_VSFTPD +menu_add "Networking|WWW" bool "vsftpd (small, fast and secure FTP server)" CONFIG_VSFTPD Index: mod_perl.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/mod_perl.config,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- mod_perl.config 3 Jul 2006 02:47:12 -0000 1.2 +++ mod_perl.config 25 Jul 2007 13:44:02 -0000 1.3 @@ -1,7 +1,13 @@ #!/bin/bash +# $Source$ +# $Revision$ +# $Date$ # # http://www.devil-linux.org -if [ "$CONFIG_HTTPD" = "y" ] && [ "$CONFIG_PERL" = "y" ] ; then - menu_add "Networking|Services" bool "mod_perl for Apache" CONFIG_MOD_PERL +if [ "$CONFIG_HTTPD" = "y" ]; then + if [ "$CONFIG_PERL" = "y" ] ; then + menu_add "Networking|WWW|Apache Config" bool "mod_perl for Apache" CONFIG_MOD_PERL + fi fi + |